#pragma once

#include "NetMsg.h"
#include "Mat4.h"
#include <array>
#ifdef AFTR_CONFIG_USE_BOOST

namespace Aftr
{

class NetMsgWO_SetPose_DCM : public NetMsg
{
public:
   NetMsgMacroDeclaration( NetMsgWO_SetPose_DCM );

   NetMsgWO_SetPose_DCM();
   virtual ~NetMsgWO_SetPose_DCM();
   virtual bool toStream( NetMessengerStreamBuffer& os ) const;
   virtual bool fromStream( NetMessengerStreamBuffer& is );
   virtual void onMessageArrived();
   virtual std::string toString() const;

   std::array< double, 16 > dcm{ 0 };
   [[nodiscard]]
   Mat4D getMat4() const noexcept;

protected:

};

} //namespace Aftr

#endif
